XmOptionLabelGadget(3Xm)

NAME
XmOptionLabelGadget — a RowColumn function that obtains the widget ID for the LabelGadget in an OptionMenu.

SYNOPSIS
#include <Xm/RowColumn.h>

Widget XmOptionLabelGadget (option_menu)
    Widget    option_menu;

DESCRIPTION
XmOptionLabelGadget provides the application with the means for obtaining the widget ID for the internally created LabelGadget. Once the application has obtained the widget ID, it has the ability to adjust the visuals for the LabelGadget, if desired.

When an application creates an instance of the OptionMenu widget, the widget creates two internal gadgets. One is a LabelGadget that is used to display RowColumn's XmNlabelString resource. The other is a CascadeButtonGadget that displays the current selection and provides the means for posting the OptionMenu's submenu.

option_menu
    Specifies the OptionMenu widget ID.

For a complete definition of RowColumn and its associated resources, see XmRowColumn(3Xm).

RETURN VALUE
Returns the widget ID for the internal label.

RELATED INFORMATION
XmCreateOptionMenu(3Xm), XmLabelGadget(3Xm), XmOptionButtonGadget(3Xm), and XmRowColumn(3Xm).